%define major 3.1
%define libname %mklibname xerces-c %{major}
%define develname %mklibname xerces-c -d

Summary:	Xerces-C++ validating XML parser
Name:		xerces-c
Version:	3.1.1
Release:	%mkrel 9
License:	Apache
Group:		System/Libraries
URL:		http://xml.apache.org/xerces-c/
Source0:	http://apache.dataphone.se/xerces/c/3/sources/%{name}-%{version}.tar.gz
BuildRequires:	curl-devel
BuildRequires:	zlib-devel
BuildRequires:	libicu-devel icu
Epoch:		1

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.

%package -n	%{libname}
Summary:	Xerces-c library
Group:		System/Libraries

%description -n %{libname}
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains the shared xerces-c library.

%package -n	%{develname}
Summary:	Header files for Xerces-C++ validating XML parser
Group:		Development/C++
Requires:	%{libname} >= %{epoch}:%{version}-%{release}
Provides:	xerces-c-devel = %{epoch}:%{version}-%{release}
Provides:	libxerces-c-devel = %{epoch}:%{version}-%{release}
Conflicts:	%{mklibname xerces-c 0 -d}
Conflicts:	%{mklibname xerces-c 28 -d}

%description -n	%{develname}
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains development files such as header files you can use to
develop XML applications with Xerces-C++.

%package	doc
Summary:	Documentation for Xerces-C++ validating XML parser
Group:		Documentation
BuildArch:	noarch
Obsoletes:	xerces-c-manual

%description	doc
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains the documentation for Xerces-C++.

%prep
%setup -q -n %{name}-%{version}

%build
#rm -f config.cache
#libtoolize --copy --force; aclocal -I m4; autoheader; automake -a -c -f; autoconf

%configure2_5x \
    --disable-static \
    --enable-netaccessor-curl \
    --enable-transcoder-icu \
%ifarch %{ix86}
    --disable-sse2 \
%endif
    --enable-msgloader-icu
%make

%check
make check

%install
%makeinstall_std

# cleanup
rm -f  %{buildroot}%{_libdir}/libxerces-c.*a

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libxerces-c-%{major}.so

%files -n %{develname}
%{_includedir}/xercesc
%{_libdir}/libxerces-c.so
%{_libdir}/pkgconfig/xerces-c.pc

%files doc
%doc CREDITS LICENSE doc/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1:3.1.1-9.mga3
+ Revision: 386752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 1:3.1.1-8.mga3
+ Revision: 316660
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 1:3.1.1-7.mga3
+ Revision: 314778
- rebuild for new icu

* Sun Oct 14 2012 ennael <ennael> 1:3.1.1-6.mga3
+ Revision: 305617
- Documentation group

* Wed May 30 2012 fwang <fwang> 1:3.1.1-5.mga3
+ Revision: 249553
- rebuild for new icu

* Tue Jun 21 2011 fwang <fwang> 1:3.1.1-4.mga2
+ Revision: 111153
- rebuild for new icu

* Sat Jan 15 2011 ahmad <ahmad> 1:3.1.1-3.mga1
+ Revision: 19721
- drop old/unneeded scriptlets
- drop unused patch
- imported package xerces-c

